Scilab Function
Last update : 00/00/0000

geom3d - projection 3D vers 2D après une instruction de dessin 3D

### Calling Sequence

  `[x,y]=geom3d(x1,y1,z1)`

### Parameters

- `x1,y1,z1`: vecteur réels de même taille (points 3D).
- `x,y`: vecteurs réels de même taille que `x1`, `y1` et `z1`.

### Description

Après l'utilisation d'une instruction de dessin 3D du type `plot3d`, `plot3d1` ou `param3d`, `geom3d` permet de faire la correspondance entre un point de l'espace 3D `(x1(i),y1(i),z1(i))` et le point correspondant `(x(i),y(i))` dans le plan projeté 2D. On peut ainsi utiliser les primitives graphiques avec `(x,y)` pour superposer des dessins.

### Examples

    deff("[z]=surf(x,y)","z=sin(x)*cos(y)")
    t=%pi*(-10:10)/10;
    // 3D plot of the surface
    fplot3d(t,t,surf,35,45,"X@Y@Z")
    // now (t,t,sin(t).*cos(t)) is a curve on the surface
    // which can be drawn using geom3d and xpoly
    [x,y]=geom3d(%pi/2,0,surf(%pi/2,0))

### Author

J.Ph.C.